<div ng-controller="parametroAplicacionController" ng-cloak>
  <div layout="row">
    <div flex="100">
      <md-toolbar class="md-table-toolbar md-default">
        <div class="md-toolbar-tools">
          <h2 class="md-title">Par&aacute;metros de Aplicaci&oacute;n</h2>
          <div class="flex" flex=""></div>
          <button class="md-icon-button md-button md-ink-ripple" type="button" ng-click="newParametroAplicacion()" aria-label="add_circle">
            <md-icon class="material-icons">add_circle</md-icon>
            <div class="md-ripple-container"></div>
          </button>
        </div> 
        <md-input-container class="md-block" flex-gt-sm>
          <label>Filtro de b&uacute;squeda</label>
          <input ng-model='textParametroAplicacionsFilter' />
        </md-input-container>		
      </md-toolbar>
      <md-table-container>
        <table md-table multiple ng-model="selected" md-progress="promise">
          <thead fix-head md-head>
            <tr md-row>
              <th md-column md-order-by="nombreTramitadoraToLower" ng-click="sortBy('nombreTramitadora')"><span>NOMBRE TRAMITADORA</span></th>
            </tr>
          </thead>
          <tbody md-body>
            <tr md-row md-select-id="id" md-auto-select ng-repeat="parametroAplicacion in parametroAplicacions | filter: parametroAplicacionsFilter | orderBy:propertyName:reverse" " ng-click="parametroAplicacionDetails(parametroAplicacion.id)">
              <td md-cell>{{parametroAplicacion.nombreTramitadora}}</td>
            </tr>
          </tbody>
        </table>
      </md-table-container>
    </div>
    <div style="display: none" flex="100">
      <div class="md-dialog-container" id="parametroAplicacionDialog" flex="100">
        <md-dialog aria-label="{{dialogAction}}" flex="80">
        <md-toolbar>
              <div class="md-toolbar-tools">
                <h2>{{dialogAction}}</h2>
                <span flex></span>
                <md-button class="md-icon-button" ng-click="cancel()"> <md-icon aria-label="Cerrar"> <i class="material-icons">clear</i></md-icon> </md-button>
              </div>
            </md-toolbar>
          <form name="parametroAplicacionForm" id="parametroAplicacionForm" novalidate class="panel panel-default" ng-submit="parametroAplicacionForm.$valid && saveParametroAplicacion(parametroAplicacion)">
            
            <md-dialog-content>
              <div layout="column" flex="95">
                <md-input-container class="md-block" flex-gt-sm> 
                	<label>Nombre Tramitadora</label>
                	<input md-maxlength="200" required name="nombreTramitadora" ng-model="parametroAplicacion.nombreTramitadora" />
                  
                  <div ng-messages="parametroAplicacionForm.nombreTramitadora.$error">
                    <div ng-message="required">
                      <b>Nombre Tramitadora</b> obligatorio.
                    </div>
                    <div ng-message="md-maxlength">
                      El <b>Nombre Tramitadora</b> no debe superar los 200 caracteres.
                    </div>
                  </div>
                </md-input-container>
                
                
                <md-input-container class="md-block" flex-gt-sm> 
                	<label>D&iacute;as desde creaci&oacute;n del expediente</label>
                	<input maxlength="3" required ng-pattern="/^\d{1,3}$/" name="diasDesdeExpediente" ng-model="parametroAplicacion.diasDesdeExpediente" />
                  
                  <div ng-messages="parametroAplicacionForm.diasDesdeExpediente.$error">
                    <div ng-message="required">
                      <b>D&iacute;as desde creaci&oacute;n del expediente</b> obligatorio.
                    </div>
                      <div ng-message="pattern">
                        El cambo debe ser num&eacute;rico y menor de 999.
                      </div>
                  </div>
                </md-input-container>
                
                
                <md-input-container class="md-block" flex-gt-sm> 
                	<label>D&iacute;as desde creaci&oacute;n del parte</label>
                	<input maxlength="3" required ng-pattern="/^\d{1,3}$/" name="diasDesdeParte" ng-model="parametroAplicacion.diasDesdeParte" />
                  
                  <div ng-messages="parametroAplicacionForm.diasDesdeParte.$error">
                    <div ng-message="required">
                      <b>D&iacute;as desde creaci&oacute;n del parte</b> obligatorio.
                    </div>
                      <div ng-message="pattern">
                        El cambo debe ser num&eacute;rico y menor de 999.
                      </div>
                  </div>
                </md-input-container>
                
                
                <md-input-container class="md-block" flex-gt-sm> 
                	<label>Copias parte de trabajo</label>
                	<input maxlength="3" required ng-pattern="/^\d{1,3}$/" name="copiasParte" ng-model="parametroAplicacion.copiasParte" />
                  
                  <div ng-messages="parametroAplicacionForm.copiasParte.$error">
                    <div ng-message="required">
                      <b>Copias parte de trabajo</b> obligatorio.
                    </div>
                      <div ng-message="pattern">
                        El cambo debe ser num&eacute;rico y menor de 999.
                      </div>
                  </div>
                </md-input-container>
              </md-dialog-content>
              
              <md-dialog-actions layout="row">
                <md-button type="submit" id="saveParametroAplicacion" class="md-raised md-primary">Guardar</md-button>
                <md-button type="button" class="md-raised md-warn" ng-click="removeParametroAplicacion(parametroAplicacion)" ng-if="parametroAplicacion.id">Eliminar</md-button>
              </md-dialog-actions>
            </form>
          </md-dialog>
        </div>
      </div>
    </div>    
  </div>